package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

public class DevolucaoBilhetes {

	private String aidf;
	private String numFolioSistema;
	private String numOperacion;
	private String serieSubSerie;
	private String folio;
	private BigDecimal precioPagado;
	private BigDecimal precioBase;
	private BigDecimal importeoutros;
	private BigDecimal importepedagio;
	private BigDecimal importeseguro;
	private BigDecimal importetaxaembarque;
	private String empresa;
	private Integer empresaId;
	private Integer estadoId;
	private String estado;
	private String uf;
	private BigDecimal icmsInterestadual;
	private BigDecimal icmsIntermunicipal;
	private BigDecimal tributacaoimportacao;
	private BigDecimal valorIcms;
	private BigDecimal porcredbaseicms;
	private String fechorVenta;
	private String fechorDevolucao;
	private Date fecVenta;
	private Date fecDevolucao;
	private String numpuntoventa;
	private String numpuntoventaOrigem;
	private String nombpuntoventa;
	private String nombpuntoventaOrigem;
	private String descorigem;
	private String descdestino;
	private String cveusuario;
	private boolean isenta;
	private BigDecimal valorIsenta;
	private BigDecimal valorContabil;
	private boolean estadual;
	private String chbpeSubstituicao;
	private String chbpe;

	BigDecimal porcMunicipal;
	BigDecimal porcEstadual;
	BigDecimal estornoMunicipal;
	BigDecimal estornoEstadual;
	private BigDecimal totalBilhete;
	private Integer totalQtdeBilhetes;

	private Boolean indTarifaMunicipal;
	private Boolean indSeguroMunicipal;
	private Boolean indTxEmbarqueMunicipal;
	private Boolean indPedagioMunicipal;
	private Boolean indTarifaEstadual;
	private Boolean indSeguroEstadual;
	private Boolean indTxEmbarqueEstadual;
	private Boolean indPedadioEstdual;
	private BigDecimal baseCalculoIcms;

	private BigDecimal aliquota;
	private BigDecimal multa;
	private BigDecimal valorOutras;

	private String cmunini;
	private String cmunfim;
	private String ufini;
	private String uffim;
	private String nbp;
	private String dhemb;
	private String cst00;
	private String cst20;
	private String cst45;
	private String cst90;
	private String cstoutrauf;
	private String cstsn;
	private String vbc00;
	private String picms00;
	private String vicms00;
	private String vbc20;
	private String picms20;
	private String vicms20;
	private String vbp;
	private String vdesconto;
	private String vpgto;
	private String tpcomp01;
	private String tpcomp02;
	private String tpcomp03;
	private String tpcomp04;
	private String tpcomp05;
	private String tpcomp06;
	private String tpcomp99;
	private String vcomp01;
	private String vcomp02;
	private String vcomp03;
	private String vcomp04;
	private String vcomp05;
	private String vcomp06;
	private String vcomp99;
	private String pRedBC;

	public String getAidf() {
		return aidf;
	}

	public void setAidf(String aidf) {
		this.aidf = aidf;
	}

	public String getNumFolioSistema() {
		return numFolioSistema;
	}

	public void setNumFolioSistema(String numFolioSistema) {
		this.numFolioSistema = numFolioSistema;
	}

	public String getSerieSubSerie() {
		return serieSubSerie;
	}

	public void setSerieSubSerie(String serieSubSerie) {
		this.serieSubSerie = serieSubSerie;
	}

	public String getFolio() {
		return folio;
	}

	public void setFolio(String folio) {
		this.folio = folio;
	}

	public BigDecimal getPrecioPagado() {
		return precioPagado;
	}

	public void setPrecioPagado(BigDecimal precioPagado) {
		this.precioPagado = precioPagado;
	}

	public BigDecimal getPrecioBase() {
		return precioBase;
	}

	public void setPrecioBase(BigDecimal precioBase) {
		this.precioBase = precioBase;
	}

	public Integer getEstadoId() {
		return estadoId;
	}

	public void setEstadoId(Integer estadoId) {
		this.estadoId = estadoId;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	public String getUf() {
		return uf;
	}

	public void setUf(String uf) {
		this.uf = uf;
	}

	public String getFechorVenta() {
		return fechorVenta;
	}

	public void setFechorVenta(String fechorVenta) {
		this.fechorVenta = fechorVenta;
	}

	public BigDecimal getValorIcms() {
		return valorIcms;
	}

	public void setValorIcms(BigDecimal valorIcms) {
		this.valorIcms = valorIcms;
	}

	public BigDecimal getPorcMunicipal() {
		return porcMunicipal;
	}

	public void setPorcMunicipal(BigDecimal porcMunicipal) {
		this.porcMunicipal = porcMunicipal;
	}

	public BigDecimal getPorcEstadual() {
		return porcEstadual;
	}

	public void setPorcEstadual(BigDecimal porcEstadual) {
		this.porcEstadual = porcEstadual;
	}

	public BigDecimal getEstornoMunicipal() {
		return estornoMunicipal;
	}

	public void setEstornoMunicipal(BigDecimal estornoMunicipal) {
		this.estornoMunicipal = estornoMunicipal;
	}

	public BigDecimal getEstornoEstadual() {
		return estornoEstadual;
	}

	public void setEstornoEstadual(BigDecimal estornoEstadual) {
		this.estornoEstadual = estornoEstadual;
	}

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public String getEmpresa() {
		return empresa;
	}

	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}

	public BigDecimal getTotalBilhete() {
		return totalBilhete;
	}

	public void setTotalBilhete(BigDecimal totalBilhete) {
		this.totalBilhete = totalBilhete;
	}

	public String getNumpuntoventa() {
		return numpuntoventa;
	}

	public void setNumpuntoventa(String numpuntoventa) {
		this.numpuntoventa = numpuntoventa;
	}

	public Integer getTotalQtdeBilhetes() {
		return totalQtdeBilhetes;
	}

	public void setTotalQtdeBilhetes(Integer totalQtdeBilhetes) {
		this.totalQtdeBilhetes = totalQtdeBilhetes;
	}

	public String getNombpuntoventa() {
		return nombpuntoventa;
	}

	public void setNombpuntoventa(String nombpuntoventa) {
		this.nombpuntoventa = nombpuntoventa;
	}

	public String getNumpuntoventaOrigem() {
		return numpuntoventaOrigem;
	}

	public void setNumpuntoventaOrigem(String numpuntoventaOrigem) {
		this.numpuntoventaOrigem = numpuntoventaOrigem;
	}

	public String getNombpuntoventaOrigem() {
		return nombpuntoventaOrigem;
	}

	public void setNombpuntoventaOrigem(String nombpuntoventaOrigem) {
		this.nombpuntoventaOrigem = nombpuntoventaOrigem;
	}

	public String getDescorigem() {
		return descorigem;
	}

	public void setDescorigem(String descorigem) {
		this.descorigem = descorigem;
	}

	public String getDescdestino() {
		return descdestino;
	}

	public void setDescdestino(String descdestino) {
		this.descdestino = descdestino;
	}

	public String getFechorDevolucao() {
		return fechorDevolucao;
	}

	public void setFechorDevolucao(String fechorDevolucao) {
		this.fechorDevolucao = fechorDevolucao;
	}

	public String getCveusuario() {
		return cveusuario;
	}

	public void setCveusuario(String cveusuario) {
		this.cveusuario = cveusuario;
	}

	public boolean isIsenta() {
		return isenta;
	}

	public void setIsenta(boolean isenta) {
		this.isenta = isenta;
	}

	public BigDecimal getValorIsenta() {
		return valorIsenta;
	}

	public void setValorIsenta(BigDecimal valorIsenta) {
		this.valorIsenta = valorIsenta;
	}

	public BigDecimal getValorContabil() {
		return valorContabil;
	}

	public void setValorContabil(BigDecimal valorContabil) {
		this.valorContabil = valorContabil;
	}

	public BigDecimal getValorOutras() {
		if (this.valorOutras != null) {
			return valorOutras;
		} else {
			return valorContabil.subtract(precioPagado);
		}
	}

	public void setValorOutras(BigDecimal valorOutras) {
		this.valorOutras = valorOutras;
	}

	public Boolean getIndTarifaMunicipal() {
		return indTarifaMunicipal;
	}

	public void setIndTarifaMunicipal(Boolean indTarifaMunicipal) {
		this.indTarifaMunicipal = indTarifaMunicipal;
	}

	public Boolean getIndSeguroMunicipal() {
		return indSeguroMunicipal;
	}

	public void setIndSeguroMunicipal(Boolean indSeguroMunicipal) {
		this.indSeguroMunicipal = indSeguroMunicipal;
	}

	public Boolean getIndTxEmbarqueMunicipal() {
		return indTxEmbarqueMunicipal;
	}

	public void setIndTxEmbarqueMunicipal(Boolean indTxEmbarqueMunicipal) {
		this.indTxEmbarqueMunicipal = indTxEmbarqueMunicipal;
	}

	public Boolean getIndPedagioMunicipal() {
		return indPedagioMunicipal;
	}

	public void setIndPedagioMunicipal(Boolean indPedagioMunicipal) {
		this.indPedagioMunicipal = indPedagioMunicipal;
	}

	public Boolean getIndTarifaEstadual() {
		return indTarifaEstadual;
	}

	public void setIndTarifaEstadual(Boolean indTarifaEstadual) {
		this.indTarifaEstadual = indTarifaEstadual;
	}

	public Boolean getIndSeguroEstadual() {
		return indSeguroEstadual;
	}

	public void setIndSeguroEstadual(Boolean indSeguroEstadual) {
		this.indSeguroEstadual = indSeguroEstadual;
	}

	public Boolean getIndTxEmbarqueEstadual() {
		return indTxEmbarqueEstadual;
	}

	public void setIndTxEmbarqueEstadual(Boolean indTxEmbarqueEstadual) {
		this.indTxEmbarqueEstadual = indTxEmbarqueEstadual;
	}

	public Boolean getIndPedadioEstdual() {
		return indPedadioEstdual;
	}

	public void setIndPedadioEstdual(Boolean indPedadioEstdual) {
		this.indPedadioEstdual = indPedadioEstdual;
	}

	public BigDecimal getPorcredbaseicms() {
		return porcredbaseicms;
	}

	public void setPorcredbaseicms(BigDecimal porcredbaseicms) {
		this.porcredbaseicms = porcredbaseicms;
	}

	public BigDecimal getImporteoutros() {
		return importeoutros;
	}

	public void setImporteoutros(BigDecimal importeoutros) {
		this.importeoutros = importeoutros;
	}

	public BigDecimal getImportepedagio() {
		return importepedagio;
	}

	public void setImportepedagio(BigDecimal importepedagio) {
		this.importepedagio = importepedagio;
	}

	public BigDecimal getImporteseguro() {
		return importeseguro;
	}

	public void setImporteseguro(BigDecimal importeseguro) {
		this.importeseguro = importeseguro;
	}

	public BigDecimal getImportetaxaembarque() {
		return importetaxaembarque;
	}

	public void setImportetaxaembarque(BigDecimal importetaxaembarque) {
		this.importetaxaembarque = importetaxaembarque;
	}

	public BigDecimal getIcmsInterestadual() {
		return icmsInterestadual;
	}

	public void setIcmsInterestadual(BigDecimal icmsInterestadual) {
		this.icmsInterestadual = icmsInterestadual;
	}

	public BigDecimal getIcmsIntermunicipal() {
		return icmsIntermunicipal;
	}

	public void setIcmsIntermunicipal(BigDecimal icmsIntermunicipal) {
		this.icmsIntermunicipal = icmsIntermunicipal;
	}

	public BigDecimal getTributacaoimportacao() {
		return tributacaoimportacao;
	}

	public void setTributacaoimportacao(BigDecimal tributacaoimportacao) {
		this.tributacaoimportacao = tributacaoimportacao;
	}

	public BigDecimal getBaseCalculoIcms() {
		return baseCalculoIcms;
	}

	public void setBaseCalculoIcms(BigDecimal baseCalculoIcms) {
		this.baseCalculoIcms = baseCalculoIcms;
	}

	public String getChbpeSubstituicao() {
		return chbpeSubstituicao;
	}

	public void setChbpeSubstituicao(String chbpeSubstituicao) {
		this.chbpeSubstituicao = chbpeSubstituicao;
	}

	public String getChbpe() {
		return chbpe;
	}

	public void setChbpe(String chbpe) {
		this.chbpe = chbpe;
	}

	public void setAliquota(BigDecimal aliquota) {
		this.aliquota = aliquota;
	}

	public BigDecimal getAliquota() {
		if (this.aliquota != null) {
			return aliquota;
		} else if (isEstadual()) {
			if (getTributacaoimportacao() == null) {
				return getIcmsInterestadual();
			} else {
				return getTributacaoimportacao();
			}
		} else {
			return getIcmsIntermunicipal();
		}
	}

	public boolean isEstadual() {
		return estadual;
	}

	public void setEstadual(boolean estadual) {
		this.estadual = estadual;
	}

	public String getNumOperacion() {
		return numOperacion;
	}

	public void setNumOperacion(String numOperacion) {
		this.numOperacion = numOperacion;
	}

	public String getCmunini() {
		return cmunini;
	}

	public void setCmunini(String cmunini) {
		this.cmunini = cmunini;
	}

	public String getCmunfim() {
		return cmunfim;
	}

	public void setCmunfim(String cmunfim) {
		this.cmunfim = cmunfim;
	}

	public String getUfini() {
		return ufini;
	}

	public void setUfini(String ufini) {
		this.ufini = ufini;
	}

	public String getUffim() {
		return uffim;
	}

	public void setUffim(String uffim) {
		this.uffim = uffim;
	}

	public String getNbp() {
		return nbp;
	}

	public void setNbp(String nbp) {
		this.nbp = nbp;
	}

	public String getDhemb() {
		return dhemb;
	}

	public void setDhemb(String dhemb) {
		this.dhemb = dhemb;
	}

	public String getCst00() {
		return cst00;
	}

	public void setCst00(String cst00) {
		this.cst00 = cst00;
	}

	public String getCst20() {
		return cst20;
	}

	public void setCst20(String cst20) {
		this.cst20 = cst20;
	}

	public String getCst45() {
		return cst45;
	}

	public void setCst45(String cst45) {
		this.cst45 = cst45;
	}

	public String getCst90() {
		return cst90;
	}

	public void setCst90(String cst90) {
		this.cst90 = cst90;
	}

	public String getCstoutrauf() {
		return cstoutrauf;
	}

	public void setCstoutrauf(String cstoutrauf) {
		this.cstoutrauf = cstoutrauf;
	}

	public String getCstsn() {
		return cstsn;
	}

	public void setCstsn(String cstsn) {
		this.cstsn = cstsn;
	}

	public String getVbc00() {
		return vbc00;
	}

	public void setVbc00(String vbc00) {
		this.vbc00 = vbc00;
	}

	public String getPicms00() {
		return picms00;
	}

	public void setPicms00(String picms00) {
		this.picms00 = picms00;
	}

	public String getVicms00() {
		return vicms00;
	}

	public void setVicms00(String vicms00) {
		this.vicms00 = vicms00;
	}

	public String getVbc20() {
		return vbc20;
	}

	public void setVbc20(String vbc20) {
		this.vbc20 = vbc20;
	}

	public String getPicms20() {
		return picms20;
	}

	public void setPicms20(String picms20) {
		this.picms20 = picms20;
	}

	public String getVicms20() {
		return vicms20;
	}

	public void setVicms20(String vicms20) {
		this.vicms20 = vicms20;
	}

	public String getVbp() {
		return vbp;
	}

	public void setVbp(String vbp) {
		this.vbp = vbp;
	}

	public String getVdesconto() {
		return vdesconto;
	}

	public void setVdesconto(String vdesconto) {
		this.vdesconto = vdesconto;
	}

	public String getVpgto() {
		return vpgto;
	}

	public void setVpgto(String vpgto) {
		this.vpgto = vpgto;
	}

	public String getTpcomp01() {
		return tpcomp01;
	}

	public void setTpcomp01(String tpcomp01) {
		this.tpcomp01 = tpcomp01;
	}

	public String getTpcomp02() {
		return tpcomp02;
	}

	public void setTpcomp02(String tpcomp02) {
		this.tpcomp02 = tpcomp02;
	}

	public String getTpcomp03() {
		return tpcomp03;
	}

	public void setTpcomp03(String tpcomp03) {
		this.tpcomp03 = tpcomp03;
	}

	public String getTpcomp04() {
		return tpcomp04;
	}

	public void setTpcomp04(String tpcomp04) {
		this.tpcomp04 = tpcomp04;
	}

	public String getTpcomp05() {
		return tpcomp05;
	}

	public void setTpcomp05(String tpcomp05) {
		this.tpcomp05 = tpcomp05;
	}

	public String getTpcomp06() {
		return tpcomp06;
	}

	public void setTpcomp06(String tpcomp06) {
		this.tpcomp06 = tpcomp06;
	}

	public String getTpcomp99() {
		return tpcomp99;
	}

	public void setTpcomp99(String tpcomp99) {
		this.tpcomp99 = tpcomp99;
	}

	public String getVcomp01() {
		return vcomp01;
	}

	public void setVcomp01(String vcomp01) {
		this.vcomp01 = vcomp01;
	}

	public String getVcomp02() {
		return vcomp02;
	}

	public void setVcomp02(String vcomp02) {
		this.vcomp02 = vcomp02;
	}

	public String getVcomp03() {
		return vcomp03;
	}

	public void setVcomp03(String vcomp03) {
		this.vcomp03 = vcomp03;
	}

	public String getVcomp04() {
		return vcomp04;
	}

	public void setVcomp04(String vcomp04) {
		this.vcomp04 = vcomp04;
	}

	public String getVcomp05() {
		return vcomp05;
	}

	public void setVcomp05(String vcomp05) {
		this.vcomp05 = vcomp05;
	}

	public String getVcomp06() {
		return vcomp06;
	}

	public void setVcomp06(String vcomp06) {
		this.vcomp06 = vcomp06;
	}

	public String getVcomp99() {
		return vcomp99;
	}

	public void setVcomp99(String vcomp99) {
		this.vcomp99 = vcomp99;
	}

	public String getpRedBC() {
		return pRedBC;
	}

	public void setpRedBC(String pRedBC) {
		this.pRedBC = pRedBC;
	}

	public Date getFecVenta() {
		return fecVenta;
	}

	public void setFecVenta(Date fecVenta) {
		this.fecVenta = fecVenta;
	}

	public Date getFecDevolucao() {
		return fecDevolucao;
	}

	public void setFecDevolucao(Date fecDevolucao) {
		this.fecDevolucao = fecDevolucao;
	}

	public BigDecimal getMulta() {
		return multa;
	}

	public void setMulta(BigDecimal multa) {
		this.multa = multa;
	}

}
